component:
  - audit
framework: beakerlib
require:
  - url: https://gitlab.cee.redhat.com/special-projects/tests/audit
    name: /Library/testing
    type: library
  - audit
adjust:
  - enabled: false
    when: arch != x86_64
    continue: false
  - enabled: false
    when: distro ~< rhel-8.2
    continue: false
contact:
  - Ondrej Moris <omoris@redhat.com>
description: |
    Test sanity of OSPP rules.

     1. Syntax
        ------
        First, we test that when all OSPP rules are loaded from 
        all files (after split from from a single file in RHEL-8.2)
        they are loaded correctly and in expected order.

     2. Semantics
        ---------
        TODO
duration: 15m
enabled: true
extra-nitrate: TC#0604974
extra-summary: /CoreOS/audit/Sanity/ospp
extra-task: /CoreOS/audit/Sanity/ospp
recommend:
  - audit
summary: Test sanity of OSPP rules
tag:
  - TIPfail_Security
  - Tier2
test: ./runtest.sh
tier: '2'
name: /Sanity/ospp
order: 50
link: []
id:
path: /Sanity/ospp
manual: false
tty: false
environment: {}
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/Sanity/ospp/main.fmf
context: {}
